Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005346TestLinkBug Tracking Systems Integrationpublic2012-11-15 12:112012-11-23 13:35
Reportermat 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005346: Can't associate Bugzilla bugs to Test Cases using xmlrpc interface
DescriptionWhile using the xmlrpc interface, after running a test case I try to add a Bugzilla bug ID and Testlink calls the addBug.php which returns only this:

object(stdClass)#152 (6) { ["IDHTMLString"]=> string(14) "5883 : " ["statusCode"]=> int(0) ["statusVerbose"]=> string(11) "UNCONFIRMED" ["statusHTMLString"]=> string(14) "[UNCONFIRMED] " ["summaryHTMLString"]=> string(18) "this is my summary" ["summary"]=> string(18) "this is my summary" }

By the info I get, I can assert that the connection to Bugzilla is being made but the bug information is not associated to Test Case.
Steps To Reproduce1 - Setup the Bugzilla xmlrpc interface on the GUI:

<!-- Template bugzillaxmlrpcInterface -->
<issuetracker>
<username>myUSER</username>
<password>myPASS</password>
<uribase>http://myBugzillaURL/</uribase> [^]
</issuetracker>

2 - Execute a Test Case
3 - Click on the Bug icon
4 - add a bug ID and click on "add bug"
Additional InformationI also tried to input a bug ID that does not exist and I was expecting an error message but instead I got:

object(stdClass)#152 (6) { ["IDHTMLString"]=> string(16) "100000 : " ["statusCode"]=> int(0) ["statusVerbose"]=> NULL ["statusHTMLString"]=> string(3) "[] " ["summaryHTMLString"]=> NULL ["summary"]=> NULL }
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE, Firefox, Chrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon bugID5338.PNG [^] (14,667 bytes) 2012-11-15 12:11


png file icon bugID5338_1.PNG [^] (13,323 bytes) 2012-11-15 12:14


png file icon issue-5346.png [^] (15,859 bytes) 2012-11-16 17:42

- Relationships

-  Notes
(0017823)
fman (administrator)
2012-11-15 14:35
edited on: 2012-11-15 14:36

Please upgrade to latest patches (there is an issue with the link 0005193), retest and provide feedback

(0017824)
mat (reporter)
2012-11-15 16:23
edited on: 2012-11-15 16:24

I upgraded to version "TestLink DEVELOPMENT NEXT 1.9.4 FIX" like you said but the issue persists.
The only thing that has changed was the case where the Bug ID does not exist. Now, bugAdd.php returns only the word "NULL".

(0017825)
fman (administrator)
2012-11-15 18:21

Is not clear if you have added debug code to get this result on screen.
Important thing: TL does not create a BUG on Bugzilla it checks existence on Bugzilla and if check is OK add it to TL.

Steps has to be

1. creat N issue on BUGZILLA, write down issues number
2. go to tl, execute test case, said failed, use button to add issue
3. after update ok info has to be present on TL
(0017826)
mat (reporter)
2012-11-15 21:34

I understand the steps.
I was just explaining two use cases to you.
But I will describe to you what I get following the steps you described:

1 - I register the bug on bugzilla and i take note of the number. (BugID 5883, for instance)
2 - I register the Test Case has failed, I use button add issue, I put fill the BugID box and I click on the button add bug
3 - I get the result you see on the printscreen: bugID5338.PNG [^] (14,667 bytes) 2012-11-15 04:11
After that I close the window, I go back to the TestLink and even after refreshing the webpage the bug record isn't there. Also, I go to test reports and I try to get a report of the bugs opened and TesteLink gives me a message saying that there are no bugs registered. If you want, later I can post more print-screens to give you more details.
(0017828)
fman (administrator)
2012-11-16 17:01
edited on: 2012-11-16 17:09

I'm going to do following tests

1. get Latest TurnKeyLinux Appliance with Bugzilla
bugzilla3 3.6.2.0-4.5
apache2 2.2.16-6+squeeze7
mysql-server 5.1.63-0+squeeze1
phpmyadmin 4:3.3.7-7

2. configure my TL to use it

(0017829)
fman (administrator)
2012-11-16 17:29

First test - using a simple program
Run it from:
[TL INST DIR]/lib/issuetrackerintegration/code_testing/

BEFORE RUNNING THE TEST (from folder )I've created TWO additional Products on bugzilla.
THIS REQUIRES a modified version of bugzillaxmlrpcInterface.class.php,
that will be commited ASAP.

<?php
/**
 * TestLink Open Source Project - http://testlink.sourceforge.net/ [^]
 * This script is distributed under the GNU General Public License 2 or later.
 *
 */
require_once('../../../config.inc.php');
require_once('common.php');

$cfg = "<issuetracker>\n" .
            "<username>francisco.mancardi@gmail.com</username>\n" .
            "<password>admin</password>\n" .
            "<uribase>http://192.168.1.88/</uribase>\n" [^] .
            "</issuetracker>\n";

echo '<hr>
';
echo "Testing BST Integration - bugzillaxmlrpcInterface ";
echo '<hr>
';
echo "Configuration settings
";
echo "
<xmp>" . $cfg . "</xmp>
";

echo '<hr>

';

$its = new bugzillaxmlrpcInterface(185,$cfg);
$dx = $its->getAccessibleProducts();
var_dump($dx);
echo '
';
$dx = $its->getProduct(3);
var_dump($dx);
echo '
';
?>
(0017830)
fman (administrator)
2012-11-16 17:40
edited on: 2012-11-16 17:41

Issue found there is a DIE() inside the checkid* method
Give a look to commit and change you code accordingly (you have to remove
two lines - give a look to attached image)
TestLink 1.9.4
http://gitorious.org/testlink-ga/testlink-code/commit/084429d478fa12cd2939c4c13287c4b7ba71bb51 [^]

(0017883)
mat (reporter)
2012-11-23 11:01

After deleting those only 2 lines it stared to work fine.
I was testing it for the whole week.
Thanks!
(0017884)
fman (administrator)
2012-11-23 13:35

Great!
There is a good new feature: CREATE AUTOMATICALLY ISSUES ON BUGZILLA, give a look.

- Issue History
Date Modified Username Field Change
2012-11-15 12:11 mat New Issue
2012-11-15 12:11 mat File Added: bugID5338.PNG
2012-11-15 12:14 mat File Added: bugID5338_1.PNG
2012-11-15 14:35 fman Note Added: 0017823
2012-11-15 14:36 fman Note Edited: 0017823 View Revisions
2012-11-15 16:23 mat Note Added: 0017824
2012-11-15 16:24 mat Note Edited: 0017824 View Revisions
2012-11-15 18:21 fman Note Added: 0017825
2012-11-15 21:34 mat Note Added: 0017826
2012-11-16 17:01 fman Note Added: 0017828
2012-11-16 17:09 fman Note Edited: 0017828 View Revisions
2012-11-16 17:29 fman Note Added: 0017829
2012-11-16 17:40 fman Note Added: 0017830
2012-11-16 17:41 fman Note Edited: 0017830 View Revisions
2012-11-16 17:42 fman File Added: issue-5346.png
2012-11-16 17:42 fman Assigned To => fman
2012-11-16 17:42 fman Status new => feedback
2012-11-23 11:01 mat Note Added: 0017883
2012-11-23 11:01 mat Status feedback => assigned
2012-11-23 13:35 fman Note Added: 0017884
2012-11-23 13:35 fman Task Workflow Status TBD => READY FOR TESTING
2012-11-23 13:35 fman Status assigned => closed
2012-11-23 13:35 fman Resolution open => fixed
2012-11-23 13:35 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker